Package org.eclipse.net4j.buffer

# Interface IBufferProvider.Notification

All Superinterfaces:
  `IBufferProvider`, `org.eclipse.net4j.util.event.INotifier`

Enclosing interface:
  `IBufferProvider`

public static interface IBufferProvider.Notification extends IBufferProvider, org.eclipse.net4j.util.event.INotifier
Offers additional notification features for `buffer providers`.

Since:
  4.6
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`IBufferProvider.Notification.BufferProvidedEvent`
An `event` fired from a `buffer provider` to indicate that a buffer has been provided.
`static interface`
`IBufferProvider.Notification.BufferRetainingEvent`
An `event` fired from a `buffer provider` to indicate that a buffer is about to be retained.

## Nested classes/interfaces inherited from interface org.eclipse.net4j.buffer.IBufferProvider

`IBufferProvider.Introspection, IBufferProvider.Notification`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Method Summary

### Methods inherited from interface org.eclipse.net4j.buffer.IBufferProvider

`getBufferCapacity, provideBuffer, retainBuffer`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`